package com.engine.salary.mapper.taxagent;

import com.engine.salary.entity.taxagent.po.TaxAgentManageRangePO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Collection;
import java.util.List;


public interface TaxAgentManageRangeMapper {

    /**
     * 查询所有记录
     *
     * @return 返回集合，没有返回空List
     */
    List<TaxAgentManageRangePO> listAll();


    /**
     * 根据主键查询
     *
     * @param id 主键
     * @return 返回记录，没有返回null
     */
    TaxAgentManageRangePO getById(Long id);

    /**
     * 条件查询
     *
     * @return 返回集合，没有返回空List
     */
    List<TaxAgentManageRangePO> listSome(TaxAgentManageRangePO taxAgentManageRange);


    /**
     * 新增，忽略null字段
     *
     * @param taxAgentManageRange 新增的记录
     * @return 返回影响行数
     */
    int insertIgnoreNull(TaxAgentManageRangePO taxAgentManageRange);

    /**
     * 修改，修改所有字段
     *
     * @param taxAgentManageRange 修改的记录
     * @return 返回影响行数
     */
    int update(TaxAgentManageRangePO taxAgentManageRange);

    /**
     * 修改，忽略null字段
     *
     * @param taxAgentManageRange 修改的记录
     * @return 返回影响行数
     */
    int updateIgnoreNull(TaxAgentManageRangePO taxAgentManageRange);

    /**
     * 删除记录
     *
     * @param taxAgentManageRange 待删除的记录
     * @return 返回影响行数
     */
    int delete(TaxAgentManageRangePO taxAgentManageRange);

    void deleteByIds(@Param("ids") Collection<Long> ids);

    void deleteByTaxAgentIds(@Param("taxAgentIds") Collection<Long> taxAgentIds);

    void deleteBySubAdminIds(Collection<Long> subAdminIds);
}